Bug 82512 - FILEOPEN: Writer unable to correctly import multi columnar text
Summary: FILEOPEN: Writer unable to correctly import multi columnar text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.4.0
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2014-08-12 12:32 UTC by Robert
Modified: 2015-12-17 12:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
File demonstrating the problem (4.52 KB, application/rtf)
2014-08-12 12:32 UTC, Robert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert 2014-08-12 12:32:22 UTC
Created attachment 104501 [details]
File demonstrating the problem

File demonstrating the problem

The attached .RTF file, contains three short sections of text that should appear in columns 1-2 on page 1 and column 1 on page 2, and do so in Word.

In Writer the import results in a problem:

- The second column on page 1 and the first (and only column) on page 2 should be preceded by two blank lines, but there is only one line present
Comment 1 Yousuf Philips (jay) (retired) 2014-09-28 19:16:12 UTC
Hello Robert,

Thank you for submitting the bug. I can confirm that there is a column type bug on page 2 when viewing in master on Linux. This is a regression as it worked correctly in 4.1.6.

Version: 4.4.0.0.alpha0+
Build ID: df73f4115cfe4d07e4159adf087571687eb173ec
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-09-25_23:36:54
Comment 2 Xisco Faulí 2014-10-22 16:47:01 UTC
I believe this issue isn't a regression.
Jay, could you please double check it in 4.1.6? Keep in mind that this bug is about the two blank lines that should precede the right column in page one and the column in page 2. The bug about the splitted column in page 2 is already reported in bug 80585
Comment 3 Yousuf Philips (jay) (retired) 2014-10-22 20:46:11 UTC
Sorry Xisco, I was mistaken about this being a 4.1.6 regression, as that was related to the other bug.

This is a regression as it works correctly in the old RTF importer (3.3.0) and doesnt work correctly in the Miklos' new RTF importer.
Comment 4 Commit Notification 2014-11-01 21:41:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dcb37dcebcde6188eb58ef7d8d34d08fea4badb8

fdo#82512 RTF import: fix position of column break

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2014-11-08 14:32:15 UTC
libreoffice-4-3 review: https://gerrit.libreoffice.org/12309
Comment 6 Robinson Tryon (qubit) 2015-12-17 12:50:02 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Remove redundant rtf_filter.
[NinjaEdit]